For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETList Business Roles
      • POSTCreate Business Role
      • PUTUpdate Business Role
      • DELDelete Business Role
      • GETResend Email Validation
LogoLogo
SupportContact salesStart free trial
API ReferenceSecurity

Delete Business Role

DELETE
https://api.projectmanager.com/api/data/security/businessroles/:roleId
DELETE
/api/data/security/businessroles/:roleId
$curl -X DELETE https://api.projectmanager.com/api/data/security/businessroles/roleId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}

Built-in roles cannot be deleted. Users assigned to the role may need to be reassigned before the role can be removed.

Was this page helpful?
Previous

Resend Email Validation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

roleIdstringRequiredformat: "uuid"
Identifier of the custom role to remove.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.